Subject: Re: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Michael Albinus <[email-masked]>
Date: Thu, 25 Aug 2022 20:59:07 +0200

Jean Louis <[email-masked]> writes:

Hi Jean,
m
it took me some days for replying. Not a technical problem, I simply
don't understand what happens.

> I have tried now again, with emacs -Q and:
>
> (setq tramp-connection-properties
>       '(("ssh:motorola" "tmpdir" /storage/emulated/0/tmp)
> 	("scp:motorola" "tmpdir" /storage/emulated/0/tmp)))
>
> (setq tramp-remote-path
>       '(tramp-default-remote-path "/data/data/com.termux/files/usr/bin/" "/bin" "/usr/bin" "/sbin" "/usr/sbin" "/usr/local/bin" "/usr/local/sbin" "/local/bin" "/local/freeware/bin" "/local/gnu/bin" "/usr/freeware/bin" "/usr/pkg/bin" "/usr/contrib/bin" "/opt/bin" "/opt/sbin" "/opt/local/bin"))
>
> (setq tramp-remote-process-environment
>       '("TMPDIR=/storage/emulated/0/tmp" "ENV=''" "TMOUT=0" "LC_CTYPE=''" "CDPATH=" "HISTORY=" "MAIL=" "MAILCHECK=" "MAILPATH=" "PAGER=cat" "autocorrect=" "correct="))
>
> (setq tramp-use-scp-direct-remote-copying t)
>
> (setq tramp-verbose 10)

I have performed *exactly* the same steps, except using another
hostname. And for me it works.

Have you limited yourself only to these steps you have described?
Nothing, nothing, else? That means, after setting tramp-verbose, trying
'C-x C-f /scp:motorolausb:' ?

I have done so, and in my debug buffer I find

20:55:11.368408 tramp-send-command (6) # test -d /data/data/com.termux/files/usr/bin 2>/dev/null; echo tramp_exit_status $?
20:55:11.384977 tramp-wait-for-regexp (6) #
tramp_exit_status 0
///334e3e2e1923cb6c9ddce9cabb2e367b#$

And this I don't see in your debug buffer.

Best regards, Michael.